Loading...
Searching...
No Matches
Opm::EclHysterConfig Class Reference

## Public Member Functions

| EclHysterConfig (const Deck &deck)
bool | active () const
| Specify whether hysteresis is enabled or not.
int | pcHysteresisModel () const
| Return the type of the hysteresis model which is used for capillary pressure.
int | krHysteresisModel () const
| Return the type of the hysteresis model which is used for relative permeability.
double | modParamTrapped () const
| Regularisation parameter used for Killough model.
double | curvatureCapPrs () const
| Curvature parameter used for capillary pressure hysteresis.
bool | activeWag () const
| Wag hysteresis.
bool | doPcScaling () const
| Do Pc scaling for scanning curves.
bool | operator== (const EclHysterConfig &data) const
template<class Serializer>
void | serializeOp (Serializer &serializer)

## Static Public Member Functions

static EclHysterConfig | serializationTestObject ()

## Constructor & Destructor Documentation

## EclHysterConfig()

Opm::EclHysterConfig::EclHysterConfig | ( | const Deck & | deck | ) |

explicit

Set the type of the hysteresis model which is used for relative permeability.

-1: relperm hysteresis is disabled 0: use the Carlson model for relative permeability hysteresis of the non-wetting phase and the drainage curve for the relperm of the wetting phase 1: use the Carlson model for relative permeability hysteresis of the non-wetting phase and the imbibition curve for the relperm of the wetting phase

Return the type of the hysteresis model which is used for capillary pressure.

-1: capillary pressure hysteresis is disabled 0: use the Killough model for capillary pressure hysteresis

## Member Function Documentation

## active()

bool Opm::EclHysterConfig::active | ( |  | ) | const

Specify whether hysteresis is enabled or not.

Returns whether hysteresis is enabled (active).

## curvatureCapPrs()

double Opm::EclHysterConfig::curvatureCapPrs | ( |  | ) | const

Curvature parameter used for capillary pressure hysteresis.

default: 0.1

## krHysteresisModel()

int Opm::EclHysterConfig::krHysteresisModel | ( |  | ) | const

Return the type of the hysteresis model which is used for relative permeability.

-1: relperm hysteresis is disabled 0: use the Carlson model for relative permeability hysteresis

## modParamTrapped()

double Opm::EclHysterConfig::modParamTrapped | ( |  | ) | const

Regularisation parameter used for Killough model.

default: 0.1

## pcHysteresisModel()

int Opm::EclHysterConfig::pcHysteresisModel | ( |  | ) | const

Return the type of the hysteresis model which is used for capillary pressure.

-1: capillary pressure hysteresis is disabled 0: use the Killough model for capillary pressure hysteresis

The documentation for this class was generated from the following files:

- opm/input/eclipse/EclipseState/Runspec.hpp
- opm/input/eclipse/EclipseState/Runspec.cpp